{
  "name": "vue3-clean-architecture",
  "version": "0.0.0",
  "private": true,
  "scripts": {
    "dev": "vite",
    "build": "run-p type-check build-only",
    "preview": "vite preview",
    "test:unit": "vitest --environment jsdom --root src/",
    "test:e2e": "start-server-and-test preview :4173 'cypress run --e2e'",
    "test:e2e:dev": "start-server-and-test 'vite dev --port 4173' :4173 'cypress open --e2e'",
    "build-only": "vite build",
    "type-check": "vue-tsc --noEmit -p tsconfig.vitest.json --composite false",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
    "zip": "node zip.js",
    "prod": "pnpm run build && pnpm run zip"
  },
  "dependencies": {
    "@headlessui/vue": "^1.7.23",
    "@types/lodash": "^4.17.12",
    "axios": "^1.7.7",
    "bootstrap": "^5.3.3",
    "install": "^0.13.0",
    "jquery": "^3.7.1",
    "lodash": "^4.17.21",
    "mitt": "^3.0.1",
    "pinia": "^2.2.2",
    "socket.io-client": "^4.8.1",
    "swiper": "^11.2.8",
    "uuid": "^13.0.0",
    "vue": "^3.2.45",
    "vue-final-modal": "^4.5.5",
    "vue-i18n": "^10.0.4",
    "vue-router": "^4.1.6",
    "vue-scrollto": "^2.20.0",
    "ws": "^8.18.0"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "^1.1.4",
    "@types/jquery": "^3.5.32",
    "@types/jsdom": "^20.0.1",
    "@types/node": "^18.11.12",
    "@types/uuid": "^11.0.0",
    "@vitejs/plugin-vue": "^4.0.0",
    "@vue/eslint-config-prettier": "^7.0.0",
    "@vue/eslint-config-typescript": "^11.0.0",
    "@vue/test-utils": "^2.2.6",
    "@vue/tsconfig": "^0.1.3",
    "archiver": "^7.0.1",
    "cypress": "^12.0.2",
    "eslint": "^8.22.0",
    "eslint-plugin-cypress": "^2.12.1",
    "eslint-plugin-vue": "^9.3.0",
    "jsdom": "^20.0.3",
    "npm-run-all": "^4.1.5",
    "prettier": "^2.7.1",
    "start-server-and-test": "^1.15.2",
    "typescript": "~4.7.4",
    "vite": "^4.0.0",
    "vitest": "^0.25.6",
    "vue-tsc": "^1.0.12"
  },
  "packageManager": "pnpm@10.6.2+sha512.47870716bea1572b53df34ad8647b42962bc790ce2bf4562ba0f643237d7302a3d6a8ecef9e4bdfc01d23af1969aa90485d4cebb0b9638fa5ef1daef656f6c1b"
}
